# Class InputDeviceConnection

java.lang.Object
com.sparshui.server.InputDeviceConnection

All Implemented Interfaces:
  `Runnable`

public class InputDeviceConnection extends Object implements Runnable
Represents a connection to the input device.

Author:
  Tony Ross

## Constructor Summary

Constructors
Constructor
Description
`InputDeviceConnection(GestureServer gestureServer, Socket socket)`
Create a new input device connection with the given gesture server and socket.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Begin receiving data from the input device.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InputDeviceConnection

public InputDeviceConnection(GestureServer gestureServer, Socket socket) throws IOException
Create a new input device connection with the given gesture server and socket.

Parameters:
  `gestureServer` - The gesture server.
  `socket` -
Throws:
  `IOException` - If there is a communication error.

## Method Details

### run

public void run()
Begin receiving data from the input device.

Specified by:
  `run` in interface `Runnable`